﻿using System;
using System.Drawing;
using MonoTouch.Foundation;
using MonoTouch.UIKit;

namespace TestGridViewEditScroll
{
	public partial class Accessory : UIViewController
	{
		#region Members

		UITextField mParentTextField;

		#endregion

		#region Constructor

		public Accessory (UITextField ParentTextField) : base ("Accessory", null)
		{
			mParentTextField = ParentTextField;
		}

		#endregion

		public override void DidReceiveMemoryWarning ()
		{
			// Releases the view if it doesn't have a superview.
			base.DidReceiveMemoryWarning ();
			
			// Release any cached data, images, etc that aren't in use.
		}

		public override void ViewDidLoad ()
		{
			base.ViewDidLoad ();
			
			this.txtTextField.Delegate = new customTextFieldDelegate (mParentTextField);
			this.txtTextField.Text = mParentTextField.Text;
		}

		public override void ViewDidAppear (bool animated)
		{
			base.ViewDidAppear (animated);

			this.txtTextField.BecomeFirstResponder ();
		}


		public class customTextFieldDelegate : UITextFieldDelegate
		{
			UITextField mParentTextField;

			public customTextFieldDelegate(UITextField ParentTextField)
			{
				mParentTextField = ParentTextField;
			}

			public override bool ShouldChangeCharacters (UITextField textField, NSRange range, string replacementString)
			{
				mParentTextField.Text += replacementString;

				return true;
			}
		}
	}
}

